This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 3.238. __nv_nearbyint

Prototype:

    double @__nv_nearbyint(double %x)

Description:

Round argument `x` to an integer value in double precision floating-point format.

Returns:

- __nv_nearbyint( ± 0 ) returns ± 0 .

- __nv_nearbyint( ± ∞ ) returns ± ∞ .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes